# eric7.VirtualEnv.VirtualenvNameDialog

Module implementing a dialog to enter the logical name for a new virtual environment.

### Global Attributes

None

### Classes

VirtualenvNameDialog | Class implementing a dialog to enter the logical name for a new virtual environment.

### Functions

None

## VirtualenvNameDialog

Class implementing a dialog to enter the logical name for a new virtual environment.

### Derived from

QDialog, Ui_VirtualenvNameDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvNameDialog | Constructor
getName | Public method to get the entered name.
on_nameEdit_textChanged | Private slot to handle a change of the environment name.

### Static Methods

None

#### VirtualenvNameDialog (Constructor)

VirtualenvNameDialog(environments, currentName, parent=None)

Constructor

environments (list of str)
  list of environment names to be shown
currentName (str)
  name to be shown in the name edit
parent (QWidget)
  reference to the parent widget

#### VirtualenvNameDialog.getName

getName()

Public method to get the entered name.

Return:
  name for the environment

Return Type:
  str

#### VirtualenvNameDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle a change of the environment name.

txt (str)
  contens of the name edit

Up